import{s as Kt,n as Qt,o as Xt}from"../chunks/scheduler.d6170356.js";import{S as Zt,i as te,g as s,s as o,r as Y,A as ee,h as l,f as i,c as a,j as Jt,u as B,x as f,k as Tt,y as ie,a as n,v as D,d as E,t as G,w as I}from"../chunks/index.fcd4cc08.js";import{H as W,g as ne}from"../chunks/Heading.e8da79d5.js";function oe(_t){let r,O,F,V,u,J,p,Mt="Notifications allow you to know when new activities (Pull Requests or discussions) happen on models, datasets, and Spaces belonging to users or organizations you are watching.",K,m,Ht="By default, you’ll receive a notification if:",Q,g,Lt="<li>Someone mentions you in a discussion/PR.</li> <li>A new comment is posted in a discussion/PR you participated in.</li> <li>A new discussion/PR or comment is posted in one of the repositories of an organization or user you are watching.</li>",X,h,Pt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/notifications-page.png" alt="Notifications page"/>',Z,y,kt='You’ll get new notifications by email and <a href="https://huggingface.co/notifications" rel="nofollow">directly on the website</a>, you can change this in your <a href="#notifications-settings">notifications settings</a>.',tt,d,et,v,zt='On the <a href="https://huggingface.co/notifications" rel="nofollow">notifications page</a>, you have several options for filtering and managing your notifications more effectively:',it,x,Nt="<li>Filter by Repository: Choose to display notifications from a specific repository only.</li> <li>Filter by Read Status: Display only unread notifications or all notifications.</li> <li>Filter by Participation: Show notifications you have participated in or those which you have been directly mentioned.</li>",nt,w,jt="Additionally, you can take the following actions to manage your notifications:",ot,b,qt="<li>Mark as Read/Unread: Change the status of notifications to mark them as read or unread.</li> <li>Mark as Done: Once marked as done, notifications will no longer appear in the notification center (they are deleted).</li>",at,C,Rt="By default, changes made to notifications will only apply to the selected notifications on the screen. However, you can also apply changes to all matching notifications (like in Gmail for instance) for greater convenience.",st,c,Ut='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/notifications-select-all.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/notifications-select-all-dark.png"/>',lt,$,ft,T,St="By default, you’ll be watching all the organizations you are a member of and will be notified of any new activity on those.",rt,_,Ft='You can also choose to get notified on arbitrary users or organizations. To do so, use the “Watch repos” button on their HF profiles. Note that you can also quickly watch/unwatch users and organizations directly from your <a href="#notifications-settings">notifications settings</a>.',ct,M,At="<em>Unlike Github or similar services, you cannot watch a specific repository. You must watch users/organizations to get notified about any new activity on any of their repositories. The goal is to simplify this functionality for users as much as possible and to make sure you don’t miss anything you might be interested in.</em>",ut,H,pt,L,Yt='In your <a href="https://huggingface.co/settings/notifications" rel="nofollow">notifications settings</a> page, you can choose specific channels to get notified on depending on the type of activity, for example, receiving an email for direct mentions but only a web notification for new activity on watched users and organizations. By default, you’ll get an email and a web notification for any new activity but feel free to adjust your settings depending on your needs.',mt,P,Bt="<em>Note that clicking the unsubscribe link in an email will unsubscribe you for the type of activity, eg direct mentions.</em>",gt,k,Dt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/notifications-settings.png" alt="Notifications settings page"/>',ht,z,Et=`You can quickly add any user/organization to your watch list by searching them by name using the dedicated search bar.
Unsubscribe from a specific user/organization simply by unticking the corresponding checkbox.`,yt,N,dt,j,Gt=`It’s possible to mute notifications for a particular repository by using the “Mute notifications” action in the repository’s contextual menu.
This will prevent you from receiving any new notifications for that particular repository. You can unmute the repository at any time by clicking the “Unmute notifications” action in the same repository menu.`,vt,q,It='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/notifications-mute-menu.png" alt="mute notification menu"/>',xt,R,Wt="<em>Note, if a repository is muted, you won’t receive any new notification unless you’re directly mentioned or participating to a discussion.</em>",wt,U,Ot="The list of muted repositories is available from the notifications settings page:",bt,S,Vt='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/notifications-settings-muted.png" alt="Notifications settings page muted repositories"/>',Ct,A,$t;return u=new W({props:{title:"Notifications",local:"notifications",headingTag:"h1"}}),d=new W({props:{title:"Filtering and managing notifications",local:"filtering-and-managing-notifications",headingTag:"h2"}}),$=new W({props:{title:"Watching users and organizations",local:"watching-users-and-organizations",headingTag:"h2"}}),H=new W({props:{title:"Notifications settings",local:"notifications-settings",headingTag:"h2"}}),N=new W({props:{title:"Mute notifications for a specific repository",local:"mute-notifications-for-a-specific-repository",headingTag:"h2"}}),{c(){r=s("meta"),O=o(),F=s("p"),V=o(),Y(u.$$.fragment),J=o(),p=s("p"),p.textContent=Mt,K=o(),m=s("p"),m.textContent=Ht,Q=o(),g=s("ul"),g.innerHTML=Lt,X=o(),h=s("p"),h.innerHTML=Pt,Z=o(),y=s("p"),y.innerHTML=kt,tt=o(),Y(d.$$.fragment),et=o(),v=s("p"),v.innerHTML=zt,it=o(),x=s("ul"),x.innerHTML=Nt,nt=o(),w=s("p"),w.textContent=jt,ot=o(),b=s("ul"),b.innerHTML=qt,at=o(),C=s("p"),C.textContent=Rt,st=o(),c=s("div"),c.innerHTML=Ut,lt=o(),Y($.$$.fragment),ft=o(),T=s("p"),T.textContent=St,rt=o(),_=s("p"),_.innerHTML=Ft,ct=o(),M=s("p"),M.innerHTML=At,ut=o(),Y(H.$$.fragment),pt=o(),L=s("p"),L.innerHTML=Yt,mt=o(),P=s("p"),P.innerHTML=Bt,gt=o(),k=s("p"),k.innerHTML=Dt,ht=o(),z=s("p"),z.textContent=Et,yt=o(),Y(N.$$.fragment),dt=o(),j=s("p"),j.textContent=Gt,vt=o(),q=s("p"),q.innerHTML=It,xt=o(),R=s("p"),R.innerHTML=Wt,wt=o(),U=s("p"),U.textContent=Ot,bt=o(),S=s("p"),S.innerHTML=Vt,Ct=o(),A=s("p"),this.h()},l(t){const e=ee("svelte-u9bgzb",document.head);r=l(e,"META",{name:!0,content:!0}),e.forEach(i),O=a(t),F=l(t,"P",{}),Jt(F).forEach(i),V=a(t),B(u.$$.fragment,t),J=a(t),p=l(t,"P",{"data-svelte-h":!0}),f(p)!=="svelte-9bkn26"&&(p.textContent=Mt),K=a(t),m=l(t,"P",{"data-svelte-h":!0}),f(m)!=="svelte-xbqdek"&&(m.textContent=Ht),Q=a(t),g=l(t,"UL",{"data-svelte-h":!0}),f(g)!=="svelte-13nuu2v"&&(g.innerHTML=Lt),X=a(t),h=l(t,"P",{"data-svelte-h":!0}),f(h)!=="svelte-a4h8v4"&&(h.innerHTML=Pt),Z=a(t),y=l(t,"P",{"data-svelte-h":!0}),f(y)!=="svelte-12e21dm"&&(y.innerHTML=kt),tt=a(t),B(d.$$.fragment,t),et=a(t),v=l(t,"P",{"data-svelte-h":!0}),f(v)!=="svelte-2drjdn"&&(v.innerHTML=zt),it=a(t),x=l(t,"UL",{"data-svelte-h":!0}),f(x)!=="svelte-1szkxjp"&&(x.innerHTML=Nt),nt=a(t),w=l(t,"P",{"data-svelte-h":!0}),f(w)!=="svelte-1imfiwq"&&(w.textContent=jt),ot=a(t),b=l(t,"UL",{"data-svelte-h":!0}),f(b)!=="svelte-am5lfa"&&(b.innerHTML=qt),at=a(t),C=l(t,"P",{"data-svelte-h":!0}),f(C)!=="svelte-1xft961"&&(C.textContent=Rt),st=a(t),c=l(t,"DIV",{class:!0,"data-svelte-h":!0}),f(c)!=="svelte-xotkhj"&&(c.innerHTML=Ut),lt=a(t),B($.$$.fragment,t),ft=a(t),T=l(t,"P",{"data-svelte-h":!0}),f(T)!=="svelte-30opnr"&&(T.textContent=St),rt=a(t),_=l(t,"P",{"data-svelte-h":!0}),f(_)!=="svelte-ztj338"&&(_.innerHTML=Ft),ct=a(t),M=l(t,"P",{"data-svelte-h":!0}),f(M)!=="svelte-156oq96"&&(M.innerHTML=At),ut=a(t),B(H.$$.fragment,t),pt=a(t),L=l(t,"P",{"data-svelte-h":!0}),f(L)!=="svelte-8q8vex"&&(L.innerHTML=Yt),mt=a(t),P=l(t,"P",{"data-svelte-h":!0}),f(P)!=="svelte-1ye4xgc"&&(P.innerHTML=Bt),gt=a(t),k=l(t,"P",{"data-svelte-h":!0}),f(k)!=="svelte-1jbg7sx"&&(k.innerHTML=Dt),ht=a(t),z=l(t,"P",{"data-svelte-h":!0}),f(z)!=="svelte-110hyk1"&&(z.textContent=Et),yt=a(t),B(N.$$.fragment,t),dt=a(t),j=l(t,"P",{"data-svelte-h":!0}),f(j)!=="svelte-8c611t"&&(j.textContent=Gt),vt=a(t),q=l(t,"P",{"data-svelte-h":!0}),f(q)!=="svelte-11ysxuy"&&(q.innerHTML=It),xt=a(t),R=l(t,"P",{"data-svelte-h":!0}),f(R)!=="svelte-zxzufi"&&(R.innerHTML=Wt),wt=a(t),U=l(t,"P",{"data-svelte-h":!0}),f(U)!=="svelte-v9uk3d"&&(U.textContent=Ot),bt=a(t),S=l(t,"P",{"data-svelte-h":!0}),f(S)!=="svelte-1r186ya"&&(S.innerHTML=Vt),Ct=a(t),A=l(t,"P",{}),Jt(A).forEach(i),this.h()},h(){Tt(r,"name","hf:doc:metadata"),Tt(r,"content",ae),Tt(c,"class","flex justify-center")},m(t,e){ie(document.head,r),n(t,O,e),n(t,F,e),n(t,V,e),D(u,t,e),n(t,J,e),n(t,p,e),n(t,K,e),n(t,m,e),n(t,Q,e),n(t,g,e),n(t,X,e),n(t,h,e),n(t,Z,e),n(t,y,e),n(t,tt,e),D(d,t,e),n(t,et,e),n(t,v,e),n(t,it,e),n(t,x,e),n(t,nt,e),n(t,w,e),n(t,ot,e),n(t,b,e),n(t,at,e),n(t,C,e),n(t,st,e),n(t,c,e),n(t,lt,e),D($,t,e),n(t,ft,e),n(t,T,e),n(t,rt,e),n(t,_,e),n(t,ct,e),n(t,M,e),n(t,ut,e),D(H,t,e),n(t,pt,e),n(t,L,e),n(t,mt,e),n(t,P,e),n(t,gt,e),n(t,k,e),n(t,ht,e),n(t,z,e),n(t,yt,e),D(N,t,e),n(t,dt,e),n(t,j,e),n(t,vt,e),n(t,q,e),n(t,xt,e),n(t,R,e),n(t,wt,e),n(t,U,e),n(t,bt,e),n(t,S,e),n(t,Ct,e),n(t,A,e),$t=!0},p:Qt,i(t){$t||(E(u.$$.fragment,t),E(d.$$.fragment,t),E($.$$.fragment,t),E(H.$$.fragment,t),E(N.$$.fragment,t),$t=!0)},o(t){G(u.$$.fragment,t),G(d.$$.fragment,t),G($.$$.fragment,t),G(H.$$.fragment,t),G(N.$$.fragment,t),$t=!1},d(t){t&&(i(O),i(F),i(V),i(J),i(p),i(K),i(m),i(Q),i(g),i(X),i(h),i(Z),i(y),i(tt),i(et),i(v),i(it),i(x),i(nt),i(w),i(ot),i(b),i(at),i(C),i(st),i(c),i(lt),i(ft),i(T),i(rt),i(_),i(ct),i(M),i(ut),i(pt),i(L),i(mt),i(P),i(gt),i(k),i(ht),i(z),i(yt),i(dt),i(j),i(vt),i(q),i(xt),i(R),i(wt),i(U),i(bt),i(S),i(Ct),i(A)),i(r),I(u,t),I(d,t),I($,t),I(H,t),I(N,t)}}}const ae='{"title":"Notifications","local":"notifications","sections":[{"title":"Filtering and managing notifications","local":"filtering-and-managing-notifications","sections":[],"depth":2},{"title":"Watching users and organizations","local":"watching-users-and-organizations","sections":[],"depth":2},{"title":"Notifications settings","local":"notifications-settings","sections":[],"depth":2},{"title":"Mute notifications for a specific repository","local":"mute-notifications-for-a-specific-repository","sections":[],"depth":2}],"depth":1}';function se(_t){return Xt(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=ne}),[]}class ce extends Zt{constructor(r){super(),te(this,r,se,oe,Kt,{})}}export{ce as component};
